# -*- encoding: utf-8 -*-
# stub: mongoid-bigbang 0.0.3 ruby lib

Gem::Specification.new do |s|
  s.name = "mongoid-bigbang".freeze
  s.version = "0.0.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Daniel Serrano".freeze]
  s.date = "2015-01-22"
  s.description = "\n    When you have a project in which you are not using Mongoid::Timestamps and you want to mock an object's creation time, you have to do some cumbersome operations in order to get those first 4 bytes of the ObjectId to represent the seconds since the Unix epoch that you want for that object.\n\n    Particularly, if you want to have two objects with the same creation time, it would not suffice to generate the IDs via the BSON::ObjectId.from_time method, since it would yield the same ID for both objects, and you probably do not want them to be seen as the same object.\n\n    This gem solves this little annoying issue by generating a unique ID for the given timestamp by using the other 8 bytes in ObjectId to generate the needed additional entropy.\n  ".freeze
  s.email = ["danieljdserrano@gmail.com".freeze]
  s.homepage = "https://github.com/dnlserrano/mongoid-bigbang".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Mock creation times through Moped::BSON::ObjectId.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, [">= 1.6.2"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10.1"])
    s.add_development_dependency(%q<pry-byebug>.freeze, ["~> 2.0.0"])
    s.add_runtime_dependency(%q<moped>.freeze, ["~> 2.0.0"])
  else
    s.add_dependency(%q<bundler>.freeze, [">= 1.6.2"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10.1"])
    s.add_dependency(%q<pry-byebug>.freeze, ["~> 2.0.0"])
    s.add_dependency(%q<moped>.freeze, ["~> 2.0.0"])
  end
end
